You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2020-07-01 08:54:52

philippe.nicolas
Member
Registered: 2017-04-13
Posts: 70

Mise à jour de GLPI 9.4.3 à 9.4.6

Bonjour,

Lorsque je tente la mise à jour de la version 9.4.3 en 9.4.6, j'ai le message d'erreur suivant (après mise à jour de la bdd) :
200701090141337790.png.
J'ai respecté la procédure (désactivation des plugins, déplacement du dossier glpi puis copie de files, ...).
J'ai lu dans l'une des discussions qu'il n'y avait pas besoin de passer d'une version n à n+1. Voyez-vous d'où peut venir le problème ?

Pour info, voici ma config actuelle :

Operating system: Linux srvv-glpi01 4.9.0-11-amd64 #1 SMP Debian 4.9.189-3+deb9u2 (2019-11-11) x86_64
PHP 7.0.33-0+deb9u7 apache2handler (Core, PDO, Phar, Reflection, SPL, SimpleXML, Zend OPcache, apache2handler, apc, apcu, bz2,
    calendar, ctype, curl, date, dom, exif, fileinfo, filter, ftp, gd, gettext, hash, iconv, imap, intl, json, ldap, libxml,
    mbstring, mysqli, mysqlnd, openssl, pcre, pdo_mysql, posix, readline, session, shmop, snmp, sockets, standard, sysvmsg, sysvsem,
    sysvshm, tokenizer, wddx, xml, xmlreader, xmlrpc, xmlwriter, xsl, zip, zlib)
Setup: max_execution_time="30" memory_limit="128M" post_max_size="8M" safe_mode="" session.save_handler="files"
    upload_max_filesize="8M"
Software: Apache/2.4.25 (Debian) (Apache/2.4.25 (Debian) Server at srvv-glpi01.gls.intra Port 80)
    Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:77.0) Gecko/20100101 Firefox/77.0
Server Software: Debian 9.9
    Server Version: 10.1.41-MariaDB-0+deb9u1
    Server SQL Mode:
    Parameters: root@localhost/glpi
    Host info: Localhost via UNIX socket
   
mysqli extension is installed
ctype extension is installed
fileinfo extension is installed
json extension is installed
mbstring extension is installed
iconv extension is installed
zlib extension is installed
curl extension is installed
gd extension is installed
simplexml extension is installed
xml extension is installed
ldap extension is installed
imap extension is installed
Zend OPcache extension is installed
APCu extension is installed
xmlrpc extension is installed
CAS extension is installed
exif extension is installed
Database version seems correct (10.1.41) - Perfect!Database version seems correct (10.1.41) - Perfect!
OK/var/www/glpi/files/_log : OK
OK/var/www/glpi/config : OK
OK/var/www/glpi/files : OK
OK/var/www/glpi/files/_dumps : OK
OK/var/www/glpi/files/_sessions : OK
OK/var/www/glpi/files/_cron : OK
OK/var/www/glpi/files/_graphs : OK
OK/var/www/glpi/files/_lock : OK
OK/var/www/glpi/files/_plugins : OK
OK/var/www/glpi/files/_tmp : OK
OK/var/www/glpi/files/_cache : OK
OK/var/www/glpi/files/_rss : OK
OK/var/www/glpi/files/_uploads : OK
OK/var/www/glpi/files/_pictures : OK
Web access to files directory is protectedWeb access to files directory is protected : OK

Offline

#2 2020-07-01 09:02:16

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,204

Re: Mise à jour de GLPI 9.4.3 à 9.4.6

est ce que le repertoire glpi/config est accessible en écriture pendant l'upgrade ?


Trouver la panne avant de réparer...
*GLPI 9.4.6+fusion9.4+2.4+behaviours2.3.2+reports+fields+appliances+pdf+badges+formcreator2.10.4 PHP7.4 Mariadb10.3
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.2 mutualisé OVH (  collecteur KO en attente 9.5.3 pour tester fix)

Offline

#3 2020-07-01 14:16:33

philippe.nicolas
Member
Registered: 2017-04-13
Posts: 70

Re: Mise à jour de GLPI 9.4.3 à 9.4.6

J'ai rendu l'utilisateur www-data propriétaire de tout le répertoire glpi avant de lancer l'upgrade. Mais maintenant que vous me le dite, je me demande si j'ai fait un "chown -R www-data /var/www/glpi" ou un "chown -R www-data: /var/www/glpi". Le fait d'avoir oublié le groupe (www-data: est l'équivalent de www-data:www-data) a peut-être provoqué ce message. Je vais essayer de nouveau sur une machine de test voir si ça passe et vous tiens informé.
En vous remerciant.

Offline

#4 2020-07-01 14:22:41

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,204

Re: Mise à jour de GLPI 9.4.3 à 9.4.6

vérifiez : normalement il y a un fichier glpi.key  dans config.


Trouver la panne avant de réparer...
*GLPI 9.4.6+fusion9.4+2.4+behaviours2.3.2+reports+fields+appliances+pdf+badges+formcreator2.10.4 PHP7.4 Mariadb10.3
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.2 mutualisé OVH (  collecteur KO en attente 9.5.3 pour tester fix)

Offline

#5 2020-07-01 16:19:42

philippe.nicolas
Member
Registered: 2017-04-13
Posts: 70

Re: Mise à jour de GLPI 9.4.3 à 9.4.6

ça passe sur la machine de test. J'ai cette fois bien fait un "chown -R www-data: /var/www/glpi". Par contre, si je vais sur ma page de plugins pour le réactiver, elle est blanche (et donc vide) ! Avez-vous une idée ?

Offline

#6 2020-07-01 16:31:12

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,204

Re: Mise à jour de GLPI 9.4.3 à 9.4.6

vos plugins sont peut êtres restés dans le dossier du glpi943 que vous avez déplacé il faut aussi faire un mv glpi943/plugins/*  glpi/plugins/


Trouver la panne avant de réparer...
*GLPI 9.4.6+fusion9.4+2.4+behaviours2.3.2+reports+fields+appliances+pdf+badges+formcreator2.10.4 PHP7.4 Mariadb10.3
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.2 mutualisé OVH (  collecteur KO en attente 9.5.3 pour tester fix)

Offline

#7 2020-07-01 16:51:28

philippe.nicolas
Member
Registered: 2017-04-13
Posts: 70

Re: Mise à jour de GLPI 9.4.3 à 9.4.6

Non, j'ai déjà vérifié. Tous les plugins sont bien dans /var/www/glpi/plugins et ont comme propriétaire www-data. Je les ai même remplacé par les nouvelles versions quand il y en avait. J'ai également vérifié la table "glpi_plugins". Par contre j'ai des plugins à l'état 4, d'autres à l'état 6 et 1 à l'état 2. Je n'arrive pas à voir à quoi ça correspond. Pourriez-vous me donner la signification des codes ? Je ne parviens pas à les trouver. Est-ce que le problème peut venir de là ?

Last edited by philippe.nicolas (2020-07-01 17:00:59)

Offline

#8 2020-07-03 17:12:12

philippe.nicolas
Member
Registered: 2017-04-13
Posts: 70

Re: Mise à jour de GLPI 9.4.3 à 9.4.6

Ce comportement est provoqué par le plugin fusioninventory-9.4+2.4. Si j'implémente la version immédiatement antérieure (fusioninventory-9.4+2.3), je vois bien mes plugins. Je suppose que la dernière version n'est compatible qu'avec le futur glpi 9.5.
Vous pouvez clôturer ce ticket.
En vous remerciant.

Offline

#9 2020-07-06 12:06:10

philippe.nicolas
Member
Registered: 2017-04-13
Posts: 70

Re: Mise à jour de GLPI 9.4.3 à 9.4.6

Après avoir repris les tests à 0, le plugin fusioninventory-9.4+2.4 apparaît bien dans la liste des plugins. J'arrive à l'installer et à l'activer (dans la version 9.4.6 de glpi).

Offline

Board footer

Powered by FluxBB